#include <bits/stdc++.h>
using namespace std;
int main(){
    int j,b;
    string s,okrenut;
    cin >> s;
    okrenut=s;
    reverse(okrenut.begin(),okrenut.end());
    if(okrenut==s){
        cout << 1;
        return 0;
    }
    j=s.size()-1;
    b=s.size();
    for(int i=0;i<s.size()-1;i++){
        if(s[i]==s[j]){
            b=b-2;
            j=j-1;
        }
        if(s[i]!=s[j])
            break;
    }
    cout << b;

}